Skip to main content
GET
/
api
/
public
/
v1
/
hip4
/
outcomes
/
{outcome_id}
Get API public v1 hip4 outcomes by outcome ID
curl --request GET \
  --url https://api.coinversa.ai/api/public/v1/hip4/outcomes/{outcome_id} \
  --header 'X-API-Key: <api-key>'
{
  "outcome": {
    "fills": 123,
    "outcomeId": 123,
    "sides": [
      {
        "assetId": 123,
        "coinKey": "<string>",
        "index": 123,
        "name": "<string>",
        "sideToken": "<string>"
      }
    ],
    "uniqueWallets": 123,
    "description": "<string>",
    "firstTraded": "<string>",
    "lastTraded": "<string>",
    "name": "<string>",
    "notionalUsdh": 123,
    "priceBinary": {
      "class": "<string>",
      "period": "<string>",
      "underlying": "<string>",
      "expiry": "<string>",
      "targetPrice": 123
    }
  },
  "$schema": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.coinversa.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Path Parameters

outcome_id
integer<int64>
required

Response

OK

outcome
object
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://example.com/schemas/HIP4OutcomeDetailBody.json"